Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class AbstractPropType

    java.lang.Object
      |
      +--jpos.profile.AbstractPropType

All Implemented Interfaces:
  PropType, java.io.Serializable

Direct Known Subclasses:
  BooleanPropType, CharacterPropType, FloatPropType, IntegerPropType, StringPropType

public abstract class AbstractPropType
extends java.lang.Object
implements PropType, java.io.Serializable

Default implementation of the PropType

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`(package private)` | `AbstractPropType()` Default ctor

Method Summary
`java.lang.String` | `getDescription()`
`abstract java.lang.Class` | `getJavaTypeClass()`
`abstract boolean` | `isValidValue(java.lang.Object obj)`
`abstract boolean` | `isValidValue(PropValue obj)`
`(package private) void` | `setDescription(java.lang.String s)` Sets the String description of this PropType (can be HTML text)
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractPropType

    AbstractPropType()

  Default ctor

Method Detail

### toString

    public abstract java.lang.String toString()

  Specified by:
    `toString` in interface `PropType`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String representation of this PropType

### getJavaTypeClass

    public abstract java.lang.Class getJavaTypeClass()

  Specified by:
    `getJavaTypeClass` in interface `PropType`
  Returns:
    a Java class that defines this type

### isValidValue

    public abstract boolean isValidValue(java.lang.Object obj)

  Specified by:
    `isValidValue` in interface `PropType`
  Parameters:
    `obj` - the Java Object
  Returns:
    true if the object passed is of this PropType

### isValidValue

    public abstract boolean isValidValue(PropValue obj)

  Specified by:
    `isValidValue` in interface `PropType`
  Parameters:
    `propValue` - the PropValue
  Returns:
    true if the PropValue passed is of this PropType

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `PropType`
  Returns:
    a String description of this PropType (can be HTML text)

### setDescription

    void setDescription(java.lang.String s)

  Sets the String description of this PropType (can be HTML text)
  Parameters:
    `s` - the String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details